# Indexer

The VORJ application programmable interface (API) offers various endpoints providing up to date and easily consumable VeChainThor information. View the available endpoints [here](https://api.vorj.app/main/v2/docs).

{% hint style="warning" %}
Some contracts may not be decoded and hence not included. If you have a contract that has not been decoded contact us at <support@vorj.app>.

(More ABI's please ... nom, nom, nom)
{% endhint %}

{% hint style="info" %}
If you don't see an endpoint that you would like or have come across an issue please contact us at <support@vorj.app>.
{% endhint %}

## Blockchain API

Get the latest or historical block(s), transaction(s) or contract(s) information in an easy to consume response.

Want the parsed contents of the last 10 blocks, `/main/v2/blockchain/blocks`. Just the transactions in a given block, `/main/v2/blockchain/blocks/{blockNumber}/transactions`, or just the NFT transfers `/main/v2/blockchain/blocks/{blockNumber}/nft/transfers`.

There are plenty of API endpoints to provide you with the latest or historical blockchain information.

## NFT API

Get the latest, historical or aggregated data for a non-fungible token (NFT) collection or tokenId.

Get all of the NFT information for a given wallet `/main/v2/blockchain/nft/{address}`. Retrieve the latest or historical information for a given NFT contract `/main/v2/marketplace/contracts/{contractAddress}/activity` or `/main/v2/marketplace/contract/{contractAddress}/{tokenID}/history`.

Use our powerful aggregations to get NFT statistics for NFT sales `/main/v2/marketplace/collectionActivity` or see the top NFT buyers `/main/v2/marketplace/buyerActivity`.

{% hint style="info" %}
Our aggregations are updated every hour:

* `collectionActivity` on the hour every hour
* `buyerActivity` on the half hour every hour
  {% endhint %}

## Carbon API

Sustainability is at our core. We have endpoints to keep you informed of your carbon footprint when using VORJ. You can easily see the footprint of your VORJ organization `/main/v2/carbon/organization` or a particular VORJ project `/main/v2/carbon/project/{projectID}`. We provide a nice graphical interface in the VORJ frontend to keep users informed of their carbon footprint.

We didn't stop at supporting just VORJ based contracts we also provide a set of carbon endpoints for wallet address `/main/v2/carbon/address/{address}` and contracts addresses `/main/v2/carbon/contract/{contractAddress}`. Use these endpoints to stay informed of your carbon footprint whether you are a collector, degen, developer or enthusiast.

## Balance API

Check the VET and VTHO balance of a given wallet address `/main/v2/vet/balance/{address}`. Want to see the transfers for a given wallet address instead `/main/v2/vet/transfers/{address}`.&#x20;

## Contract Push Notifications

Get notifications, via webhooks, for events associated with a given contract address `/main/v2/webhooks/subscribe`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vorj.app/welcome-to-vorj/indexer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
